Name: strigi
Version: 0.7.8
Release: %mkrel 2
Summary: Desktop Search
License: GPL
Group: Graphical desktop/KDE4
Url:   https://projects.kde.org/projects/kdesupport/strigi
Source: %{name}-%{version}.tar.xz
Source1: createtararchive.sh
Patch0:  strigi-0.7.7-fix-cmake-libdir.patch
Patch1:	 strigi-0.7.8-export_bufferedstream.patch
#----------------------------------------
BuildRequires: java-1.7.0-sun
BuildRequires: java-1.7.0-sun-devel
BuildRequires: %{_lib}bzip2-devel
BuildRequires: %{_lib}clucene-devel
BuildRequires: %{_lib}cppunit-devel
BuildRequires: %{_lib}dbus-1-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}gamin-1_0-devel
BuildRequires: %{_lib}qt4-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: libstdc++-devel
BuildRequires: log4cxx-devel
#----------------------------------------
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
Here are the main features of Strigi:

    * very fast crawling
    * very small memory footprint
    * no hammering of the system
    * pluggable backend, currently clucene and hyperestraier, 
	sqlite3 and xapian are in the works
    * communication between daemon and search program over an 
	abstract interface, this is currently a simple socket 
	but implementation of dbus is a possibility. There's a 
	small perl program in the code as an example of how to 
	query. This is so easy that any KDE app could implement this.
    * simple interface for implementing plugins for extracting 
	information. we'll try to reuse the kat plugins, although 
	native plugins will have a large speed advantage
    * calculation of sha1 for every file crawled (allows fast finding
	 of duplicates)


%files
%defattr(-,root,root)
%_bindir/*
%dir %_libdir/strigi
%_libdir/strigi/*
%_datadir/strigi/*
%_datadir/dbus-1/services/
%{_libdir}/libsearchclient.so.*
%{_libdir}/libstreamanalyzer.so.*
%{_libdir}/libstreams.so.*
%{_libdir}/libstrigihtmlgui.so.*
%{_libdir}/libstrigiqtdbusclient.so.*

#--------------------------------------------------------------------

%package devel
Requires: %{name} = %{version}
Summary: Development files for %name
Group: Development/Libraries
Provides: libstrigi-devel

%description devel
Development files for %name.

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_includedir/strigi
%_libdir/pkgconfig/*.pc
%_libdir/cmake/LibSearchClient
%_libdir/cmake/LibStreamAnalyzer
%_libdir/cmake/LibStreams
%_libdir/cmake/Strigi

#--------------------------------------------------------------------

%prep
%setup -q 
%apply_patches

%build
%cmake_qt4 -DBUILD_UTILS=ON
%make

%install
%makeinstall_std -C build


%clean
rm -fr %buildroot


%changelog
* Mon Nov 16 2014 bb <bb> 0.7.8-2pclos2014
- rebuild ffmpeg 2.4.3

* Sat Jul 12 2014 pinoc <vogtpet at gmail dot com> 0.7.8-1pclos2013
- 0.7.8

* Tue Jan 08 2013 pinoc <vogtpet at gmail dot com> 0.7.7-1pclos2013
- 0.7.7
- add ffmpeg-patch
- adjusted BuildRequires for 64bit

